# $Revision: 1.5.2.1 $, $Date: 2006/08/08 22:13:39 $
Summary:	Terminal Server Client - a frontend for rdesktop for the GNOME2 platform
Summary(pl):	Terminal Server Client - frontend dla rdesktop dla platformy GNOME2
Name:		tsclient
Version:	0.148
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://www.gnomepro.com/tsclient/%{name}-%{version}.tar.gz
# Source0-md5:	06a6ff59b7c8ca26d4ea37340ed77423
Patch0:		%{name}-locale-names.patch
URL:		http://www.gnomepro.com/tsclient/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib2-devel >= 2.6.0
BuildRequires:	gnome-panel-devel >= 2.6.0
BuildRequires:	gtk+2-devel >= 1:2.6.0
BuildRequires:	intltool >= 0.27
BuildRequires:	pkgconfig
Requires:	rdesktop >= 1.3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Terminal Server Client is a frontend for rdesktop for the GNOME2
platform.

%description -l pl
Terminal Server Client to frontend dla programu rdesktop dla platformy
GNOME2.

%prep
%setup -q
%patch0 -p1

mv -f po/{nl_NL,nl}.po
mv -f po/{nl_NL,nl}.gmo
mv -f po/{pl_PL,pl}.po
mv -f po/{pl_PL,pl}.gmo
mv -f po/{pt_PT,pt}.po
mv -f po/{pt_PT,pt}.gmo
mv -f po/{se,sv}.po
mv -f po/{se,sv}.gmo

%build
%{__glib_gettextize}
%{__intltoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	desktopdir=%{_desktopdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README ChangeLog AUTHORS NEWS
%attr(755,root,root) %{_bindir}/tsclient
%attr(755,root,root) %{_libdir}/tsclient-applet
%{_libdir}/bonobo/servers/GNOME_TSClientApplet.server
%{_datadir}/application-registry/tsclient.*
%{_datadir}/mime-info/tsclient.*
%{_desktopdir}/tsclient.desktop
%{_pixmapsdir}/tsclient
%{_pixmapsdir}/tsclient.png
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tsclient.spec,v $
Revision 1.5.2.1  2006/08/08 22:13:39  havner
- 0.148, HEAD merge

Revision 1.11  2006/08/08 21:37:18  havner
- 0.148 by Tomasz Rutkowski (alucard at nospheratu dot net)

Revision 1.10  2006/04/14 07:40:49  aflinta
- added missing BR

Revision 1.9  2006/04/14 07:39:57  aflinta
- refresch gettext

Revision 1.8  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.7  2005/06/16 06:53:23  misi3k
- rel 1
- up to 0.140

Revision 1.6  2004/11/27 18:52:09  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.5  2004/07/25 02:49:32  ankry
- gr -> el, se -> sv, rel. 3

Revision 1.4  2004/07/08 15:28:44  qboosh
- added locale-names patch, fix da,nl,nb,pl,pt names; release 2

Revision 1.3  2004/03/06 00:21:47  krzak
- up to 0.132

Revision 1.2  2003/10/12 21:41:57  qboosh
- pl

Revision 1.1  2003/09/17 06:11:38  aflinta
- PLD initial release
